<?php
namespace HeaderImage;

return [
  'view_manager' => [
      'template_path_stack' => [
          dirname(__DIR__) . '/view',
      ]
  ],
  'view_helpers' => [
      'factories' => [
          'headerImage' => Service\ViewHelper\HeaderImageViewHelperFactory::class,
      ],
  ],
	'block_layouts' => [
        'factories' => [
            'headerImage' => Service\BlockLayout\HeaderImageFactory::class,
        ],
    ],
    'form_elements' => [
        'invokables' => [
            Form\HeaderImageBlockForm::class => Form\HeaderImageBlockForm::class,
        ],
    ],
    'DefaultSettings' => [
        'HeaderImageBlockForm' => [
            'wrapStyle' => 'overflow-y: hidden;display: flex;flex-direction: column;justify-content: center;',
        ]
    ]
];
