<?php
namespace HeaderImage\Service\BlockLayout;

use Interop\Container\ContainerInterface;
use HeaderImage\Site\BlockLayout\HeaderImage;
use Laminas\ServiceManager\Factory\FactoryInterface;

class HeaderImageFactory implements FactoryInterface
{
	public function __invoke(ContainerInterface $services, $requestedName, array $options = null)
	{
		return new HeaderImage(
			$services->get('FormElementManager'),
			$services->get('Config')['DefaultSettings']['HeaderImageBlockForm']
		);
	}
}
?>