<?php

namespace HeaderImage\Service\ViewHelper;

use HeaderImage\View\Helper;
use Zend\ServiceManager\Factory\FactoryInterface;
use Interop\Container\ContainerInterface;
use HeaderImage\View\Helper\HeaderImageViewHelper;

class HeaderImageViewHelperFactory implements FactoryInterface
{
    public function __invoke(ContainerInterface $services, $requestedName, array $options = null)
    {
        $config = $services->get('Config');
        return new HeaderImageViewHelper($services->get('Omeka\Settings'));
    }
}
